var num_buttons = 9;   //   
var phases;            //   
var dirs;              //  
var names;             //   <img>...</img>,   
var help;              //  
var all_images;        //   
var num_frames = 5;    //      
var animating = false; //  
var delay = 50;        //   

function InitArrays()
{
    var i;
    phases = new Array(num_buttons);
    dirs = new Array(num_buttons);
    for(i = 0;i<num_buttons;i++) {
       phases[i] = 0;
       dirs[i] = 0;
    }
}

function InitNames()
{
    names = new Array(num_buttons);
    names[0] = "news"; 
    names[1] = "articles";
    names[2] = "tech";
    names[3] = "forum";
    names[4] = "tutor";
    names[5] = "books"; 
    names[6] = "links";
    names[7] = "files";
    names[8] = "gallery";

    help = new Array(num_buttons);
    help[0] = "    ";
    help[1] = "";
    help[2] = "   ";
    help[3] = "  FAQ";
    help[4] = "   ";
    help[5] = " "
    help[6] = "C   ";
    help[7] = "  ";
    help[8] = "   ";

}

function PreLoadImages()
{    
    var i,j;
    all_images = new Array(num_buttons);
    for(i = 0;i<num_buttons;i++) {
        all_images[i] = new Array(num_frames);
        for(j = 0;j<num_frames;j++) {
            all_images[i][j] = new Image();
            all_images[i][j].src = "../images/buttons/"+names[i]+i00(j)+".gif";
        }
    }      
}
              
function InitAnimator()
{
    InitArrays();
    InitNames();
    PreLoadImages();
}

function Animator()
{
    var i;
    animating = false;
    for(i = 0;i<num_buttons;i++) {
        if(dirs[i] > 0) {
            if(phases[i]<num_frames - 1) { 
               if(phases[i] == 0)    
                    window.parent.status = help[i];
                phases[i]++;
                document.images[names[i]].src = all_images[i][phases[i]].src;
                animating = true;
            } else
                dirs[i] = 0;
        } else if(dirs[i] < 0) {
            if(phases[i] > 0) { 
                phases[i]--;
                document.images[names[i]].src = all_images[i][phases[i]].src;
                animating = true;
            } else
                dirs[i] = 0;
        } 
    }
    if(animating)
        setTimeout("Animator()",delay);
}

function MouseEnter(index)
{
    dirs[index] = 1;
    if(!animating) {
        animating = true;
        setTimeout("Animator()",delay);
    }
    window.parent.status = help[index];
}

function MouseLeave(index)
{
    dirs[index] = -1;
    if(!animating) {
        animating = true;
        setTimeout("Animator()",delay);
    }
    window.parent.status = "";
}

InitAnimator();